Bug 541992 - Review Request: perl-PDF-Create - Create PDF files
Review Request: perl-PDF-Create - Create PDF files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-27 15:54 EST by Lucian Langa
Modified: 2009-12-17 16:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-17 16:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2009-11-27 15:54:25 EST
Spec URL: http://lucilanga.fedorapeople.org/perl-PDF-Create.spec
SRPM URL: http://lucilanga.fedorapeople.org/perl-PDF-Create-1.04-1.fc12.src.rpm
Description: This module allows you to create PDF documents using a large number of
primitives, and emit the result as a PDF file or stream. PDF stands for
Portable Document Format.

Documents can have several pages, a table of content, an information section
and many other PDF elements. More functionalities will be added as needs arise.

Documents are constructed on the fly so the memory footprint is not tied to the
size of the pages but only to their number.
Comment 1 Parag AN(पराग) 2009-12-03 03:37:06 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1842889
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
474428dcbf1833d71a4dff5fc84cda6916d95aba  PDF-Create-1.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=9,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.32 cusr  0.04 csys =  0.41 CPU)
+ Package perl-PDF-Create-1.04-1.fc13.noarch =>
Provides: perl(PDF::Create) = 1.04 perl(PDF::Create::Outline) = 1.00 perl(PDF::Create::Page) = 1.00 perl(PDF::Image::GIF) = 1.00 perl(PDF::Image::JPEG) = 1.00
Requires: /usr/bin/perl perl(CGI) perl(Carp) perl(Data::Dumper) perl(Exporter) perl(FileHandle) perl(PDF::Create) perl(PDF::Create::Outline) perl(PDF::Create::Page) perl(PDF::Image::GIF) perl(PDF::Image::JPEG) perl(integer) perl(strict) perl(vars)
+ Not a GUI application

I can't find licence information. Can you point me if I have missed it? If its not there then ask upstream to include it in each .pm file and/or also in README or separate license text file.
Comment 2 Parag AN(पराग) 2009-12-08 22:52:27 EST
ping?
Comment 3 Lucian Langa 2009-12-09 00:50:34 EST
The current package does not contain license information. I've been in contact with author and I've got an email from him about license being perl default now. However only the newer version of this will contain the license information that is probably going to be at the end of January.
Comment 4 Parag AN(पराग) 2009-12-09 03:35:34 EST
(In reply to comment #3)
> The current package does not contain license information. I've been in contact
> with author and I've got an email from him about license being perl default
> now. However only the newer version of this will contain the license
> information that is probably going to be at the end of January.  

Then I am ok to accept this package. But if you already had discussion about licensing in email, is it ok with you to add reply from upstream in a file say LICENSE?

APPROVED.
Comment 5 Lucian Langa 2009-12-09 03:56:07 EST
All right. I'll add the file when I check in.
Thank you for the review.

New Package CVS Request
=======================
Package Name: perl-PDF-Create
Short Description: Create PDF files
Owners: lucilanga
Branches: F-11 F-12 EL-4 EL-5
InitialCC:
Comment 6 Kevin Fenzi 2009-12-09 12:46:31 EST
cvs done.
Comment 7 Lucian Langa 2009-12-17 16:05:15 EST
imported and built.

Note You need to log in before you can comment on or make changes to this bug.